"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const handle_1 = require("@oclif/errors/lib/handle");
const command_1 = require("@oclif/command");
const base_command_1 = require("./base.command");
async function bootstrap(options) {
    try {
        base_command_1.BaseCommand.register(options);
        if (options.singleCommand) {
            await options.singleCommand.run();
        }
        else {
            await command_1.run(null, module.parent && module.parent.parent && module.parent.parent.filename || __dirname);
        }
    }
    catch (error) {
        handle_1.handle(error);
    }
}
exports.bootstrap = bootstrap;
//# sourceMappingURL=bootstrap.js.map