"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const oclifCommand_decorator_1 = require("./oclifCommand.decorator");
let OclifService = class OclifService {
    async run(app, commandClass) {
        const filtered = oclifCommand_decorator_1.entrypoints.filter((e) => e.commandClass.toLocaleLowerCase() === commandClass.toLocaleLowerCase());
        if (filtered.length === 0) {
            throw new Error(`Cannot find entrypoint for ${commandClass}`);
        }
        const entrypoint = filtered[0];
        await app.get(entrypoint.serviceClass.constructor)[entrypoint.serviceMethod]();
    }
};
OclifService = __decorate([
    common_1.Injectable()
], OclifService);
exports.OclifService = OclifService;
//# sourceMappingURL=oclif.service.js.map