"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.entrypoints = [];
function OclifCommand(commandClass) {
    return (serviceClass, serviceMethod) => {
        if (exports.entrypoints.map((e) => e.commandClass).includes(commandClass)) {
            throw new Error(`Multiple OclifCommand declarations for command ${commandClass}`);
        }
        exports.entrypoints.push({ commandClass, serviceClass, serviceMethod });
    };
}
exports.OclifCommand = OclifCommand;
//# sourceMappingURL=oclifCommand.decorator.js.map